# Uses of Class
org.pentaho.reporting.libraries.formula.lvalues.ParsePosition

Packages that use ParsePosition
Package
Description
org.pentaho.reporting.libraries.formula.lvalues
org.pentaho.reporting.libraries.formula.parser

## Uses of ParsePosition in org.pentaho.reporting.libraries.formula.lvalues

Methods in org.pentaho.reporting.libraries.formula.lvalues that return ParsePosition
Modifier and Type
Method
Description
`ParsePosition`
AbstractLValue.`getParsePosition()`
`ParsePosition`
DefaultDataTable.`getParsePosition()`
`ParsePosition`
LValue.`getParsePosition()`
`ParsePosition`
Term.`getParsePosition()`
Methods in org.pentaho.reporting.libraries.formula.lvalues with parameters of type ParsePosition
Modifier and Type
Method
Description
`void`
AbstractLValue.`setParsePosition(ParsePosition parsePosition)`
`void`
DefaultDataTable.`setParsePosition(ParsePosition parsePosition)`
Constructors in org.pentaho.reporting.libraries.formula.lvalues with parameters of type ParsePosition
Modifier
Constructor
Description
``
`ContextLookup(String name, ParsePosition parsePosition)`
``
`FormulaFunction(String functionName, LValue[] parameters, ParsePosition parsePosition)`
``
`StaticValue(Object value, ParsePosition parsePosition)`
``
`StaticValue(Object value, Type type, ParsePosition parsePosition)`

## Uses of ParsePosition in org.pentaho.reporting.libraries.formula.parser

Methods in org.pentaho.reporting.libraries.formula.parser that return ParsePosition
Modifier and Type
Method
Description
`ParsePosition`
FormulaParseException.`getParsePosition()`
Methods in org.pentaho.reporting.libraries.formula.parser with parameters of type ParsePosition
Modifier and Type
Method
Description
`final LValue`
GeneratedFormulaParser.`parseFunction(String name, ParsePosition parsePosition)`